> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/assets-verification/india/vehicle-reverse-rc.md).

# Vehicle Reverse RC

The Vehicle Reverse RC API allows retrieval of vehicle registration and owner details using either engine number or chassis number. It provides verified vehicle information for use cases such as insurance, compliance, and ownership verification, with broad coverage across registered vehicles.

## vehicle\_reverse\_rc

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/utility/vehicle_reverse_rc`

### Post parameters description is given below,

<table><thead><tr><th width="147.953125">Post Parameter </th><th width="81.5625">Type</th><th width="133.0234375">Is Mandatory</th><th>Dependency Condition</th><th width="144.98046875">Description</th></tr></thead><tbody><tr><td> engineNumber</td><td>String </td><td>Optional</td><td>Either engineNumber or chassisNumber is Required</td><td>Vehicle Engine Number</td></tr><tr><td>chassisNumber</td><td>String</td><td>Optional</td><td>Either engineNumber or chassisNumber is Required</td><td>Vehicle Chassis Number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
 "engineNumber": "K12MN1912345",
 "chassisNumber": "MA6MFBC1BBT012345"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "69286a20-38bb-4259-b427-104d57937370",
    "status": "completed",
    "result": {
        "regNo": "MH14DA1845",
        "class": "Motor Car(LMV)",
        "chassis": "MA6MFBC1BBT096358",
        "engine": "B10S17100*****",
        "vehicleManufacturerName": "GENERAL MOTORS INDIA PVT LTD",
        "model": "CHEVROLET SPARK (LS)",
        "vehicleColour": "S GREY",
        "type": "PETROL/CNG",
        "vehicleManufacturingMonthYear": "03/2011",
        "vehicleCubicCapacity": "999",
        "vehicleCategory": "LMV",
        "vehicleSeatCapacity": "5",
        "normsType": "Not Available",
        "vehicleCylindersNo": "4",
        "bodyType": "SALOON",
        "grossVehicleWeight": "0",
        "unladenWeight": "840",
        "rcStandardCap": "0",
        "vehicleSleeperCapacity": "0",
        "vehicleStandingCapacity": "0",
        "wheelbase": "0",
        "ownerCount": "4",
        "owner": "PRASAD DHOKE",
        "ownerFatherName": "PRAKASH",
        "mobileNumber": "NA",
        "status": "ACTIVE",
        "statusAsOn": "26/05/2026",
        "presentAddress": "SHILPA PALACE NR VITTHAL MANDIR, AKURDI, PUNE, Pune, Maharashtra, ",
        "splitPresentAddress": {
            "district": [
                "PUNE"
            ],
            "state": [
                "MAHARASHTRA",
                "MH"
            ],
            "city": [
                "PUNE CITY"
            ],
            "pincode": "411035",
            "country": [
                "IN",
                "IND",
                "INDIA"
            ],
            "addressLine": "SHILPA PALACE NR VITTHAL MANDIR,AKURDI"
        },
        "permanentAddress": "SHILPA PALACE NR VITTHAL MANDIR, AKURDI, PUNE, Pune, Maharashtra, ",
        "splitPermanentAddress": {
            "district": [
                "PUNE"
            ],
            "state": [
                "MAHARASHTRA",
                "MH"
            ],
            "city": [
                "PUNE CITY"
            ],
            "pincode": "411035",
            "country": [
                "IN",
                "IND",
                "INDIA"
            ],
            "addressLine": "SHILPA PALACE NR VITTHAL MANDIR,AKURDI"
        },
        "rcExpiryDate": "10/10/2026",
        "vehicleTaxUpto": "10/10/2026",
        "regAuthority": "RTO SOLAPUR, Maharashtra",
        "regDate": "11/10/2011",
        "vehicleInsuranceCompanyName": "GoDigit General Insurance Ltd.",
        "vehicleInsuranceUpto": "22/08/2029",
        "vehicleInsurancePolicyNumber": "D162237549",
        "rcFinancer": "",
        "puccNumber": "MH01403690019488",
        "puccUpto": "04/03/2026",
        "blacklistStatus": "",
        "blacklistDetails": [],
        "permitIssueDate": "",
        "permitNumber": "",
        "permitType": "",
        "permitValidFrom": "",
        "permitValidUpto": "",
        "nationalPermitNumber": "NA",
        "nationalPermitUpto": "NA",
        "nationalPermitIssuedBy": "",
        "isCommercial": false,
        "nocDetails": "",
        "nonUseStatus": "false",
        "nonUseFrom": "NA",
        "nonUseTo": "NA"
    },
    "requested_at": "2026-05-26T13:21:10.106Z",
    "completed_at": "2026-05-26T13:21:14.434Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "170f899a-eb74-4098-989b-23998066ce12",
    "status": "in_progress",
    "requested_at": "2026-05-26T05:28:49.245Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid Engine Number",
    "error": {
        "message": "Invalid Engine Number",
        "field": "engineNumber",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "dbbab2ed-15c0-4688-822f-ccd141d0836e",
    "status": "failed",
    "error": {
        "message": "Vehicle data not found",
        "code": "ERROR"
    },
    "requested_at": "2026-05-26T13:23:54.609Z",
    "completed_at": "2026-05-26T13:23:56.364Z"
}
```

{% endtab %}
{% endtabs %}

## &#x20;Get details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference\_id

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/utility/vehicle_reverse_rc`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "69286a20-38bb-4259-b427-104d57937370",
    "status": "completed",
    "result": {
        "regNo": "MH14DA1845",
        "class": "Motor Car(LMV)",
        "chassis": "MA6MFBC1BBT096358",
        "engine": "B10S17100*****",
        "vehicleManufacturerName": "GENERAL MOTORS INDIA PVT LTD",
        "model": "CHEVROLET SPARK (LS)",
        "vehicleColour": "S GREY",
        "type": "PETROL/CNG",
        "vehicleManufacturingMonthYear": "03/2011",
        "vehicleCubicCapacity": "999",
        "vehicleCategory": "LMV",
        "vehicleSeatCapacity": "5",
        "normsType": "Not Available",
        "vehicleCylindersNo": "4",
        "bodyType": "SALOON",
        "grossVehicleWeight": "0",
        "unladenWeight": "840",
        "rcStandardCap": "0",
        "vehicleSleeperCapacity": "0",
        "vehicleStandingCapacity": "0",
        "wheelbase": "0",
        "ownerCount": "4",
        "owner": "PRASAD DHOKE",
        "ownerFatherName": "PRAKASH",
        "mobileNumber": "NA",
        "status": "ACTIVE",
        "statusAsOn": "26/05/2026",
        "presentAddress": "SHILPA PALACE NR VITTHAL MANDIR, AKURDI, PUNE, Pune, Maharashtra, ",
        "splitPresentAddress": {
            "district": [
                "PUNE"
            ],
            "state": [
                "MAHARASHTRA",
                "MH"
            ],
            "city": [
                "PUNE CITY"
            ],
            "pincode": "411035",
            "country": [
                "IN",
                "IND",
                "INDIA"
            ],
            "addressLine": "SHILPA PALACE NR VITTHAL MANDIR,AKURDI"
        },
        "permanentAddress": "SHILPA PALACE NR VITTHAL MANDIR, AKURDI, PUNE, Pune, Maharashtra, ",
        "splitPermanentAddress": {
            "district": [
                "PUNE"
            ],
            "state": [
                "MAHARASHTRA",
                "MH"
            ],
            "city": [
                "PUNE CITY"
            ],
            "pincode": "411035",
            "country": [
                "IN",
                "IND",
                "INDIA"
            ],
            "addressLine": "SHILPA PALACE NR VITTHAL MANDIR,AKURDI"
        },
        "rcExpiryDate": "10/10/2026",
        "vehicleTaxUpto": "10/10/2026",
        "regAuthority": "RTO SOLAPUR, Maharashtra",
        "regDate": "11/10/2011",
        "vehicleInsuranceCompanyName": "GoDigit General Insurance Ltd.",
        "vehicleInsuranceUpto": "22/08/2029",
        "vehicleInsurancePolicyNumber": "D162237549",
        "rcFinancer": "",
        "puccNumber": "MH01403690019488",
        "puccUpto": "04/03/2026",
        "blacklistStatus": "",
        "blacklistDetails": [],
        "permitIssueDate": "",
        "permitNumber": "",
        "permitType": "",
        "permitValidFrom": "",
        "permitValidUpto": "",
        "nationalPermitNumber": "NA",
        "nationalPermitUpto": "NA",
        "nationalPermitIssuedBy": "",
        "isCommercial": false,
        "nocDetails": "",
        "nonUseStatus": "false",
        "nonUseFrom": "NA",
        "nonUseTo": "NA"
    },
    "requested_at": "2026-05-26T13:21:10.106Z",
    "completed_at": "2026-05-26T13:21:14.434Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "170f899a-eb74-4098-989b-23998066ce33",
    "status": "in_progress",
    "requested_at": "2026-05-26T13:23:54.609Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "dbbab2ed-15c0-4688-822f-ccd141d0836e",
    "status": "failed",
    "error": {
        "message": "Vehicle data not found",
        "code": "ERROR"
    },
    "requested_at": "2026-05-26T13:23:54.609Z",
    "completed_at": "2026-05-26T13:23:56.364Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/assets-verification/india/vehicle-reverse-rc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
